***

title: get
slug: /reference/typescript/rest/fabric/call-flows/get
description: Retrieve a single call flow resource.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Retrieve a single call flow resource.

<EndpointSchemaSnippet endpoint="GET /api/fabric/resources/call_flows/{id}" />

## **Response Example**

<EndpointResponseSnippet endpoint="GET /api/fabric/resources/call_flows/{id}" />

## **Example**

```typescript {9}
import { RestClient } from "@signalwire/sdk";

const client = new RestClient({
  project: "your-project-id",
  token: "your-api-token",
  host: "your-space.signalwire.com"
});

const flow = await client.fabric.callFlows.get("flow-id");
console.log(`Call Flow: ${flow.display_name}, ID: ${flow.id}`);
```